Subject: [PATCH v3 0/3] arm64/clk: EXYNOS: Consolidate Exynos7 symbol

From: [email-masked] (Krzysztof Kozlowski)
Date: Wed, 27 Jan 2016 18:10:48 +0900

On 26.01.2016 17:05, Krzysztof Kozlowski wrote:
> Hi,
> 
> Third attempt to remove ARCH_EXYNOS7 symbol.
> 
> Patches cannot be cherry-picked. I was thinking about merging this
> through arm-soc tree after getting needed acks (clk, arm-soc?).

The patchset was rebased on quite old linux-next. Rebasing on current
code makes only one difference - the s3c64xx gained multiplatform support.

I don't want to spam the lists so, I'll respin everything tomorrow after
proper rebasing.

Best regards,
Krzysztof

> 
> Changes since v2:
> =================
> 1. Follow Arnd's advice about not enabling silently the newly added
>    EXYNOS_ARM64_COMMON_CLK, when COMPILE_TEST is enabled. This was
>    also a trigger for some changes in placement of Samsung clocks
>    Kconfig entries...
> 2. ... which lead to introducing patch 1.
> 
> 
> Logic:
> ======
> Now the clock selection algorithm works like:
> 1. For Exynos ARMv7 and ARMv8 the platforms select COMMON_CLK
>    and COMMON_CLK_SAMSUNG.
> 2. As before: clock drivers for Exynos ARMv7 will be selected by
>    respective SOC/ARCH_EXYNOS_XXX symbol.
> 3. For Exynos ARMv8 the clock drivers will be enabled by default
>    by EXYNOS_ARM64_COMMON_CLK symbol.
> 
> Rationale:
> ==========
> We don't need ARCH_EXYNOS7 symbol because all ARMv8 platforms should
> fall under generic ARCH_EXYNOS. In the same time there is no sense
> in building clocks for these ARMv8 SoCs on ARMv7 builds. In future
> this will also influence PMU [1] driver.
> 
> 
> Best regards,
> Krzysztof
> 
> [1] https://www.mail-archive.com/linux-samsung-soc at vger.kernel.org/msg48090.html
> 
> 
> Krzysztof Kozlowski (3):
>   clk: samsung: Enable COMPILE_TEST for Samsung clocks
>   clk: samsung: Don't build ARMv8 clock drivers on ARMv7
>   arm64: EXYNOS: Consolidate ARCH_EXYNOS7 symbol into ARCH_EXYNOS
> 
>  arch/arm/Kconfig                    |  1 +
>  arch/arm/mach-exynos/Kconfig        |  1 +
>  arch/arm/mach-s3c24xx/Kconfig       |  8 ++++++++
>  arch/arm/mach-s5pv210/Kconfig       |  1 +
>  arch/arm64/Kconfig.platforms        | 12 +++---------
>  arch/arm64/boot/dts/exynos/Makefile |  2 +-
>  arch/arm64/configs/defconfig        |  2 +-
>  drivers/clk/Kconfig                 |  2 +-
>  drivers/clk/samsung/Kconfig         | 14 +++++++++-----
>  drivers/clk/samsung/Makefile        |  4 ++--
>  10 files changed, 28 insertions(+), 19 deletions(-)
>